Subject: Re: New SCRAM and GS2 I-Ds

From: Alexey Melnikov <[email-masked]>
Date: Fri, 27 Mar 2009 20:31:05 -0700

Nicolas Williams wrote:

>On Tue, Mar 24, 2009 at 06:13:19PM +0000, Dave Cridland wrote:  
>
>>On Mon Mar 23 16:13:30 2009, Nicolas Williams wrote:    
>>
>>>New versions of draft-newman-auth-scram and draft-ietf-sasl-gs2 have
>>>been posted.
>>>      
>>>
>>A couple of nits - the ABNF has:
>>
>>    ;;cbind-type    = value
>>    ;;cbind-input   = gs2-header [ value ":" cbind-data ]
>>    channel-binding = "c=" base64
>>                      ;; base64 encoding of cbind-input
>>
>>I think the "value" should be "cbind-type", and I think cbind-type =  
>>"tls-unique" / value would be better to make it clear what kind of  
>>stuff is expected there.
>>
>
>Ah, yes, this is a typo.  I need to define cbind-data (*OCTET) and fix
>cbind-input:
>
>     ;;cbind-data    = *OCTET
>     ;;cbind-type    = value
>     ;;cbind-input   = gs2-header [ cbind-type ":" cbind-data ]
>  
>
Changed. I've also added comment about "tls-unique".

>>Also, I wouldn't comment these out.
>>
>>    client-final-message-without-proof =
>>                      [channel-binding ","] nonce [","
>>                      extensions]
>>
>>Channel binding (c=) is no longer optional, so this needs updating.
>>    
>>
>
>Good catch, thanks!
>  
>
Fixed.

>>Otherwise, i think I'm up to date with these changes, and it really  
>>didn't take long, so that's great.
>>
>
>Awesome.
>
>Back to your comments in the room, we can compress the CB flag by
>removing one of its possible values since it'd be possible to
>unambiguously know what that case would be.  I used that trick to remove
>the RFC2743 initial context token header compression flag in the case of
>standard GSS mechs (before: "T" or "F"; now: "" or "F").  But I don't
>think it's worth it.
>  
>
I agree.